# AP4_ProtectedSampleDescription Class Reference

`#include <Ap4Protection.h>`

Inheritance diagram for AP4_ProtectedSampleDescription:

List of all members.

## Public Member Functions
| AP4_ProtectedSampleDescription (AP4_UI32 format, AP4_SampleDescription *original_sample_description, AP4_UI32 original_format, AP4_UI32 scheme_type, AP4_UI32 scheme_version, const char *scheme_uri, AP4_ContainerAtom *schi_atom)
| ~AP4_ProtectedSampleDescription ()
AP4_SampleDescription * | GetOriginalSampleDescription ()
AP4_UI32 | GetOriginalFormat () const
AP4_UI32 | GetSchemeType () const
AP4_UI32 | GetSchemeVersion () const
const AP4_String & | GetSchemeUri () const
AP4_ProtectionSchemeInfo * | GetSchemeInfo () const
virtual AP4_Atom * | ToAtom () const

## Detailed Description

Definition at line 171 of file Ap4Protection.h.

## Constructor & Destructor Documentation

AP4_ProtectedSampleDescription::AP4_ProtectedSampleDescription | ( | AP4_UI32 | format,
|  | AP4_SampleDescription * | original_sample_description,
|  | AP4_UI32 | original_format,
|  | AP4_UI32 | scheme_type,
|  | AP4_UI32 | scheme_version,
|  | const char * | scheme_uri,
|  | AP4_ContainerAtom * | schi_atom |
| ) |  |  |

AP4_ProtectedSampleDescription::~AP4_ProtectedSampleDescription | ( |  | ) |

## Member Function Documentation

AP4_SampleDescription* AP4_ProtectedSampleDescription::GetOriginalSampleDescription | ( |  | ) | `[inline]`

Definition at line 185 of file Ap4Protection.h.

AP4_UI32 AP4_ProtectedSampleDescription::GetOriginalFormat | ( |  | ) | const`[inline]`

Definition at line 188 of file Ap4Protection.h.

AP4_UI32 AP4_ProtectedSampleDescription::GetSchemeType | ( |  | ) | const`[inline]`

Definition at line 189 of file Ap4Protection.h.

AP4_UI32 AP4_ProtectedSampleDescription::GetSchemeVersion | ( |  | ) | const`[inline]`

Definition at line 190 of file Ap4Protection.h.

const AP4_String& AP4_ProtectedSampleDescription::GetSchemeUri | ( |  | ) | const`[inline]`

Definition at line 191 of file Ap4Protection.h.

AP4_ProtectionSchemeInfo* AP4_ProtectedSampleDescription::GetSchemeInfo | ( |  | ) | const`[inline]`

Definition at line 192 of file Ap4Protection.h.

virtual AP4_Atom* AP4_ProtectedSampleDescription::ToAtom | ( |  | ) | const`[virtual]`

Reimplemented from AP4_SampleDescription.

The documentation for this class was generated from the following file:

- Ap4Protection.h